USB_HUB_TT_CLEAR_(9)

NAME
usb_hub_tt_clear_buffer - clear control/bulk TT state in high speed hub

SYNOPSIS

void usb_hub_tt_clear_buffer (struct usb_device * udev, int pipe);

ARGUMENTS

udev
    the device whose split transaction failed

pipe
    identifies the endpoint of the failed transaction

DESCRIPTION

High speed HCDs use this to tell the hub driver that some split control or bulk transaction failed in a way that requires clearing internal state of a transaction translator. This is normally detected (and reported) from interrupt context.

It may not be possible for that hub to handle additional full (or low) speed transactions until that state is fully cleared out.